<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Attributes and Links</title>
</head>
<body>
    
    <h2 id="top">HTML Attributes</h2>
    <!-- Align -> changes alignment of the paragraph element -->
    <!-- align value -> center, right, left -->
    <p align="center"><em>Modifiers of element behaviors.</em></p>

    <h2>HTML Images</h2>
    <p align="center"><em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute</em></strong></p>

    <!-- Adds an image using absolute links -->
    <!-- 2 kinds of links -> absolute link and relative link -->
    <a href="https://place-puppy.com" target="_blank"><img src="https://place-puppy.com/300x300"></a>

    <!-- code tag -> use to define piece of computer code -->
    <p><code>&lt;img src="https://place-puppy.com/300x300"&gt;</code></p>

    <!-- Adds an image using relative link -->
   <a href="https://zuitt.co" target="_blank"><img src="./images/zuittlogo.png" alt="Zuitt Logo"></a> 
    <p><code>&lt;img src="./images/zuittlogo.png"&gt;</code></p>

    <p>Valid image extensions are the following:</p>
    <ol type="a">
        <li>png</li>
        <li>jpg</li>
        <li>gif</li>
        <li>svg</li>
        <li>webp</li>
    </ol>

    <h2>HTML Links</h2>
    <h4>Absolute Link</h4>
    
    <!-- a -> Creates a hyperlink element that redirects to different page -->
    <a href="https://zuitt.co" target="_blank">I am a hyperlink</a>

    <h4>Relative Link</h4>
    <!-- Will redirect to link page using relative link -->
    <p>Go to <a href="./link.html">Link.html</a> page.</p>

    <!-- Redirects to the HTML element with the "top" id attribute -->
    <!-- Accessing id value requires "#" -->
    <p>Go to <a href="#top">TOP</a> page.</p>

    <p>Go to <a href="./images/index.html">images/index.html</a></p>

</body>
</html>